Subject: Re: linux-next: unnecessary merge in the ubifs tree

From: Artem Bityutskiy <[email-masked]>
Date: Thu, 26 Mar 2015 09:13:11 +0200

On Thu, 2015-03-26 at 11:32 +1100, Stephen Rothwell wrote:
> Hi Artem,
> 
> I noticed merge commit 3527a86b7ae1 ("Merge tag 'v4.0-rc5' into
> linux-next").  Just a note that if you had merged the commit that the
> tag points to, you would have just had a fast forward instead of a
> "real" merge.  Merging the tag forces the --no-ff flag on git merge
> (and adding --ff does not change that).  You could have merged
> "v4.0-rc5^0" (I think) or (apparently) pass --ff-only to get the fast
> forward.

You are right, and thank you for telling about this. I hope Linus won't
flame me for this. I'll definitely keep this in mind next time.

Artem.